# --8<--8<--8<--8<--
#
# Copyright (C) 2007 Smithsonian Astrophysical Observatory
#
# This file is part of mst-cpan
#
# mst-cpan is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# mst-cpan is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the 
#       Free Software Foundation, Inc. 
#       51 Franklin Street, Fifth Floor
#       Boston, MA  02110-1301, USA
#
# -->8-->8-->8-->8--

package MST::CPAN::Bundle;

use strict;
use warnings;

use Pod::Parser;

#----------------------------------------------------------------------#
# sloppy way of reading the bundle. can't figure out how to get CPAN.pm
# to do it for me

{
  package MyParser;
  use base 'Pod::Parser';

  sub verbatim {}

  sub command
  {
    my ($parser, $command, $paragraph, $line_num) = @_;

    ## Interpret the command and its text; sample actions might be:
    if ($command eq 'head1' && $paragraph =~ '^CONTENTS') {

      $parser->{save} = 1;
    }
    else
    {
      $parser->{save} = 0;
    }
  }


  sub textblock
  {
    my ( $parser, $paragraph, $line_num ) = @_;

    local $/ = '';
    chomp $paragraph;

    $paragraph =~ s/\s+\S+$//;

    push @{$parser->{lines}}, $paragraph if $parser->{save};
  }

}

sub unbundle
{
    my ( $bundle ) = @_;

    my @modules;

    my $parser = MyParser->new( save => 0, lines => \@modules );

    $parser->parse_from_file( $bundle );

    return @modules;
}


1;
