# --8<--8<--8<--8<--
#
# Copyright (C) 2011 Smithsonian Astrophysical Observatory
#
# This file is part of mst-cpan
#
# mst-cpan is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# mst-cpan is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the 
#       Free Software Foundation, Inc. 
#       51 Franklin Street, Fifth Floor
#       Boston, MA  02110-1301, USA
#
# -->8-->8-->8-->8--

package MST::CPAN::Handler::ExtUtils_F77;

use strict;
use warnings;

use Sys::Hostname;

use base 'MST::CPAN::Handler';

sub install
{
    my ( $self ) = @_;

    if ( $::opt{SysArch}{platform_generic} =~ 'darwin-10.6' && 'porter' eq hostname() )
    {
	$self->fix_file( 'F77.pm',
			 sub { $_[0] =
				 join("\n",
				      q[$F77config{Darwin}{GNU}{Cflags} = '-arch x86_64';], $_[0]
				     )
				   if $_[0] =~ /End of database/i;
			   }
		       );

    }
    $self->SUPER::install;
}

1;
